devguard
Treatment actions

Create a treatment action.

POST
/treatment-actions/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/treatment-actions/" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string",    "ownerId": "string",    "organizationId": "string"  }'
{  "id": "string",  "shortId": -9007199254740991,  "slug": "string",  "name": "string",  "description": "string",  "ownerId": "string",  "createdAt": "string",  "updatedAt": "string",  "organizationId": "string",  "archivedAt": "string",  "dueDate": "string",  "status": "UNKNOWN"}

How is this guide?